@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  scroll-behavior: smooth;
   font-family: "Montserrat", sans-serif;
}

/* GEN */
li, a {
  list-style-type: none;
  text-decoration: none;
  color: inherit;
}

img {
  display: block;
}

.container {
  padding: 8rem 0;
  margin-top: 8px;
}

.row {
  padding: 0 24px;
  width: 100%;
  max-width: 1500px;
  margin: 0 auto;
}

:root {
  --background-black: #333333;
  --gold-color: #FFD900;
  --white: #fff;
  --black: #000;
  --artist-card-background: #f2f2f281;
  --secondary-text: #5B5B5B;
  --gloss-grey: rgba(225, 225, 225, 0.75);
  --corner-radius: 4px;
  --grey-accent: #a9a9a9;
}

/* navigation */
nav {
  width: 100%;
  position: fixed;
  top: 24px;
  left: 0;
  right: 0;
  z-index: 1001;

  display: flex;
  justify-content: center;
  align-items: center;
  gap: 32px;
}

.achilles-wrapper {
  width: 48px;
}

.achilles-icon {
  width: 32px;
}

.nav-list {
  gap: 16px; 
  padding: 0 24px;
}

.nav-list,
.achilles-wrapper,
#nav-btn {
  display: flex;
  justify-content: center;
  background-color: var(--gloss-grey);
  backdrop-filter: blur(4px);
  align-items: center;
  height: 48px;
  border-radius: var(--corner-radius);
  transition: background-color 300ms ease;
}

/* Nav Button */
#nav-btn,
#close-btn {
  border: none;
  font-size: 14px;
  display: none;
  padding: 8px;
  color: var(--black);
}

#nav-btn:hover {
  cursor: pointer;
  background-color: var(--gold-color);
}

.nav-link {
  padding: 16px;
}

.achilles-wrapper:hover {
  background-color: var(--gold-color);
}

/* nav modal */
.nav-modal {
  position: fixed;
  top: 8px;
  left: 8px;
  right: 8px;
  height: 0px;
  background-color: var(--white);
  z-index: 102;
  border-radius: var(--corner-radius);
  background-color: var(--artist-card-background);
  backdrop-filter: blur(9px);
  border: 1px solid var(--grey-accent);
  opacity: 0;
  visibility: hidden;

  transition: opacity 1s ease, height 1s ease, visibility 300ms ease 0ms;
}

.modal-list {
  position: absolute;
  top: 100px;
  right: -100px;
  text-align: end;
  opacity: 0;

  display: flex;
  flex-direction: column;
  gap: 24px;

  transition: right 1s ease, opacity 300ms ease;
}

.nav-modal.display-modal {
  height: 240px;
  opacity: 1;
  visibility: visible;
  transition: opacity 1s ease, height 1s ease, visibility 0s ease 0ms;
}

.nav-modal.display-modal .modal-list {
  right: 16px;
  opacity: 1;
}

/* Home */
#home {
  position: relative;
  width: 100%;
  height: fit-content;
  background-color: var(--white);
}

/* Home Gallery */
.track-container {
  position: relative;
  border: 1px solid #fff;
  width: 100%;
  height: 100vh;
  overflow: clip;
}

.gallery-track {
  z-index: 5;
  position: relative;
  margin-top: 120px;
  display: flex;
  gap: 24px;
  width: max-content;
  animation: scroll 24s linear infinite;
}

.gallery-item {
  position: relative;
  flex: 0 0 auto;
  text-align: left;
}

.gallery-item img {
  width: 280px;
  height: 350px; /* Adjust image size */
  flex-shrink: 0;
  object-fit: cover;
  border-radius: 8px;
  transition: transform 300ms ease;
  animation: img-change 800ms linear forwards;
}

@keyframes img-change {
  from {height: 0;}
  top {height: 350px;}
}

@keyframes scroll {
  from {
    transform: translateX(0);
  }
  to {
    transform: translateX(calc(-50% - 8px));
  }
}

.by-artist {
  position: absolute;
  bottom: 8px;
  left: 8px;
  font-size: 12px;
  background-color: var(--gold-color);
  padding: 8px;
  border-radius: var(--corner-radius);
  transition: background-color 300ms ease;
  animation: show-artists 4s ease forwards;
}

.gallery-item img:hover,
.gallery-item a:hover img,
.gallery-item a:hover .by-artist {
  background-color: var(--white);
}

.hands-container {
  position: sticky;
  top: 24px;
  bottom: 24px;
  width: 100%;
  display: flex;
  z-index: 1;
}

.god-hand,
.adam-hand {
  width: 50%;
  will-change: transform;
}

.adam-hand {
  animation: adam-float 5s ease-in-out infinite;
}

.god-hand {
  animation: god-float 5s ease-in-out infinite;
}

.hands-overlay {
  position: absolute;
  inset: 0;
  background-color: #ffffffea;
  z-index: 4;
}

.hero-text-container {
  z-index: 8;
  position: absolute;
  width: 100%;
  padding: 24px;
  bottom: 16px;

  display: flex;
  justify-content: space-between;
  align-items: flex-end;
}

.hero-text {
  font-size: 48px;
  width: 600px;
  opacity: 0;
  animation: appear 500ms linear forwards 1s;
}

@keyframes appear {
  from {transform: translateX(-100px); opacity: 0;}
  to {transform: translateX(0); opacity: 1;}
}

.CTA-container {
  display: flex;
  flex-direction: column;
  gap: 16px;
  opacity: 0;
  animation: appear-top 500ms linear forwards 1.2s;
}

@keyframes appear-top {
  from {transform: translateX(100px); opacity: 0;}
  to {transform: translateX(0); opacity: 1;}
}

.cta-text {
  width: 400px;
}

.home-btn-container {
  display: flex;
  align-items: center;
  gap: 16px;
}

.CTA-btn {
  padding: 8px;
  width: fit-content;
  border-radius: var(--corner-radius);

  display: flex;
  justify-content: center;
  align-items: center;
  gap: 8px;
}

.CTA-btn:hover {
  backdrop-filter: blur(2px);
  background-color: #ffffff00;
}

.main-CTA {
  background-color: var(--gold-color);
}

.main-CTA:hover .btn-circle {
  background-color: var(--gold-color);
}

.btn-circle {
  width: 6px;
  height: 6px;
  background-color: var(--white);
  border-radius: 25px;
  transition: background-color 300ms ease;
}

.secondary-CTA {
  background-color: var(--black);
  color: var(--white);
}

.secondary-CTA:hover {
  background-color: #ffffff00;
  color: var(--black);
}

.secondary-CTA,
.main-CTA {
  transition: color 300ms ease, background-color 300ms ease;
}

.secondary-CTA:hover .btn-circle {
  background-color: var(--black);
}


/* Animations */
@keyframes show-artists {
  0% {opacity: 0;}
  100% {opacity: 1;}
}

@keyframes adam-float {
  0%, 100% {transform: translateY(0);}
  50% {transform: translateY(-8px);}
}

@keyframes god-float {
  0%, 100% {transform: translateY(0);}
  50% {transform: translateY(-20px);}
}



/* Featured Artists */
.featured-artists-row {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.sub-heading {
  margin-top: 8px;
  width: 50%;
  text-align: center;
}

#featured-artists {
  position: relative;
  z-index: 4;
}

#featured-artists .heading {
  text-align: center;
}

.heading {
  font-size: 48px;
}

.featured-artists-wrapper {
  margin-top: 80px;
  width: 100%;

  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 16px;
}

.artist-image-name {
  display: flex;
  align-items: flex-start;
  gap: 8px;
}

.artist-box {
  position: relative;
  width: 100%;
  padding: 8px;
  background-color: var(--artist-card-background);
  border: 1px solid var(--grey-accent);
  border-radius: 4px;
}

.artist-box .artist-bottom-section {
  border-top: 1px solid var(--grey-accent);
}

.location {
  color: var(--grey-accent);
  font-weight: 300;
}

.artist-img-wrapper {
  width: 80px;
  height: 80px;
  overflow: hidden;
  border-radius: 4px;
}

.artist-img-wrapper img {
  width: 100%;
}

.artist-name {
  font-size: 32px;
  margin-bottom: 4px;
}

.artist-bio {
  margin-top: 8px;
  width: 275px;
}

.artist-left-section {
  display: flex;
  flex-direction: column; 
}

.artist-bottom-section {
  margin-top: 65px;
  padding: 8px 0 0 0;

  display: flex;
  align-items: center;
  justify-content: space-between;
}

.style-tag {
  color: var(--grey-accent);
}

.card-showcase-container {
  position: absolute;
  top: 8px;
  right: 8px;

  display: flex;
  align-items: center;
  gap: 8px;
  height: 180px;
}

.card-img-wrapper {
  width: 160px;
  height: 180px;
  overflow: hidden;
  border-radius: 4px;
}

.card-img-wrapper img {
  width: 100%;
}


/* The Platform */
.platform-container {
  padding: 2rem 0;
}

#the-platform {
  position: relative;
  z-index: 5;
  border: 1px solid var(--grey-accent);
  margin: 0 8px;
  border-radius: var(--corner-radius);
  background-color: var(--artist-card-background);
}

.platform-heading {
  width: 500px;
}

.platform-card-container {
  margin: 80px 0;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 16px;
}

.card-box {
  position: relative;
  background-color: #ffd900d2;
  padding: 16px;
  border-radius: 8px;

  display: flex;
  flex-direction: column;
  gap: 120px;
}

.card-title {
  font-weight: 300;
}

.card-info {
  width: 250px;
  font-size: 14px;
}

.card-number {
  position: absolute;
  font-size: 120px;
  bottom: 0;
  right: 24px;
}

.why-platform {
  width: 500px;
}

/* Built for */
#built-for {
  position: relative;
  z-index: 5;
  background-color: var(--artist-card-background);
}

.built-row {
  display: flex;
  flex-direction: column;
  gap: 80px;
}

.built-for-row {
  display: flex;
  justify-content: space-between;
  gap: 24px;
}

.built-for-row h2 {
  width: 300px;
}

.client-point-wrapper {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 24px;
}

.client-point-box {
  width: 450px;
}

.point-title {
  font-weight: 500;
}

.point-info {
  margin-top: 16px;
  color: #4A4A4A;
  font-weight: 300;
}

.built-for-btn-2 {
  width: 216px;
}

.built-for-row .built-for-heading {
  width: 200px;
}

#artist-program {
  width: 100%;
  height: 1px;
  background-color: var(--background-black);
}

.artist-points-container h3 {
  margin-bottom: 24px;
}

.artist-container {
  display: flex;
  flex-direction: column;
  gap: 80px;
}

.artists-line {
  width: 100%;
  height: 1px;
  background-color: var(--grey-accent);
}

.join-team-text {
  margin-bottom: 32px;
}



/* footer */
footer {
  position: relative;
  background-color: var(--white);
  border-top: 1px solid var(--gloss-grey);
}

.footer-list {
  display: flex;
  justify-content: space-between;
}

.footer-list,
.copyright-wrapper {
  position: relative;
  z-index: 5;
}

.footer-company-name {
  width: 100%;
  margin: 80px 0 80px 0;
}

.copyright-wrapper {
  display: flex;
  justify-content: space-between;
  font-size: 10px;
}

.policy-pages {
  display: flex;
  gap: 24px;
  align-items: center;
}

.footer-container {
  padding: 4rem 0 8px 0;
}

/* Legal Pages */
.effective-date {
  margin-bottom: 8px;
}

.legal-text {
  margin: 8px 0;
}

.text-container {
  padding-top: 32px;
}

.bullet-point li {
  list-style-type: disc;
  margin-left: 16px;
}

.legal-text a {
  color: #0188ff;
  text-decoration: underline;
}



/* 1370px viewport */
@media (max-width: 1220px){
  .card-img-wrapper {
    width: 120px;
    height: 140px;
  }

  .card-number {
    font-size: 60px;
    bottom: 50px;
  }

  .built-for-row h2 {
    width: 200px;
  }
}

@media (max-width: 1125px) {
  .featured-artists-wrapper {
    grid-template-columns: repeat(1, 1fr);
  }

  .client-point-wrapper,
  .platform-card-container {
    grid-template-columns: repeat(1, 1fr);
  }

  .nav-list {
    display: none;
  }

  .card-number {
    filter: none;
    font-size: 120px;
    bottom: 32px;
  }

  .heading {
    font-size: 24px;
  }

  .hero-text-container {
    flex-direction: column;
    justify-content: flex-start;
    align-items: start;
    bottom: 24px;
  }

  nav {
    gap: 16px;
  }

  #nav-btn {
    display: block;
  }

  .nav-list {
    display: none;
  }
}


@media (max-width: 650px) {
  .gallery-track {
    margin-top: 80px;
  }

  #title {
    font-size: 32px;
    width: 300px;
  }

  p, a {
    font-size: 14px;
  }

  .hero-CTA-wrapper {
    flex-direction: column;
    align-items: flex-start;
  }

  .hero-CTA-line {
    width: 200px;
    height: 1px;
    margin: 24px 0;
  }

  .platform-heading {
    width: 300px;
  }

  .card-number {
    font-size: 60px;
    top: 0;
  }

  .card-title {
    width: 200px;
  }

  .curation-text-wrapper {
    flex-direction: column;
  }

  .curation-text {
    width: 100%;
  }

  .built-for-row {
    flex-direction: column;
  }

  .client-point-box {
    width: 100%;
  }

  .row {
    padding: 0 8px;
  }

  footer {
    margin: 0 8px;
  }

  .sub-heading {
    width: 100%;
  }

  .artists-line {
    width: 80%;
  }

  #built-for .container {
    padding-top: 1rem;
  }

  .hands-container {
    bottom: 150px;
    top: 150px;
  }
}

@media (max-width: 575px) {
  .artist-bottom-section {
    margin-top: 8px;
  }

  .artist-left-section {
    margin-top: 200px;
  }

  .card-showcase-container {
    left: 4px;
    right: 4px;
    top: 0;
  }

  .card-img-wrapper {
    width: 100%;
    height: 165px;
  }

  .style-tag,
  .footer-list a  {
    font-size: 12px;
  }

  .copyright-wrapper p,
  .policy-pages a {
    font-size: 8px;
  }

  .hero-text {
    font-size: 24px;
    width: 100%;
  }

  .cta-text {
    width: 100%;
  }

  .why-platform {
    width: 80%;
  }

  .hero-text-container {
    padding: 8px;
    bottom: 80px;
  }

  .gallery-track {
    margin-top: 140px;
  }

  .gallery-item img {
    height: 220px;
    width: 180px;
  }
}